### Virtual Method

# Nautilus InfoProvider update_file_info

#### Declaration [src]

    NautilusOperationResult
    update_file_info (
      NautilusInfoProvider* provider,
      NautilusFileInfo* file,
      GClosure* update_complete,
      NautilusOperationHandle** handle
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `NautilusFileInfo`

  A `NautilusFileInfo`.

  The data is owned by the caller of the function.

`update_complete`

  Type: `GClosure`

  The closure to invoke at some later time when returning `NAUTILUS_OPERATION_IN_PROGRESS`.

  The data is owned by the caller of the function.

`handle`

  Type: `NautilusOperationHandle`

  An opaque `NautilusOperationHandle` that must be set when returning `NAUTILUS_OPERATION_IN_PROGRESS`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the virtual function.
  The data is owned by the caller of the function.

#### Return value

Type: `NautilusOperationResult`

A `NautilusOperationResult`.